Bug 865062 - system-config-printer-kde: @system-config-printer-kde.py:1310 AttributeError: 'bool' object has no attribute 'markDefaults'
system-config-printer-kde: @system-config-printer-kde.py:1310 AttributeError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdeadmin (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 14:04 EDT by Damian Wrobel
Modified: 2013-08-01 08:05 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:05:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Wrobel 2012-10-10 14:04:55 EDT
Description of problem:
Couldn't launch Printer Setup.

Version-Release number of selected component (if applicable):
Fully updated F17
system-config-printer-kde-4.9.2-1.fc17.i686

How reproducible:
Always

Steps to Reproduce:
1. launch: kcmshell4 system-config-printer-kde
  
Actual results:
Traceback (most recent call last):
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 444, in on_tvMainList_cursor_changed
    self.fillPrinterTab(name)
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 1266, in fillPrinterTab
    self.fillPrinterOptions(name, editablePPD)
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 1310, in fillPrinterOptions
    ppd.markDefaults()
AttributeError: 'bool' object has no attribute 'markDefaults'
kcmshell(2156)/python (plugin): Error while running factory function for Python plugin:  "system-config-printer-kde/system-config-printer-kde.py" 
Traceback (most recent call last):
  File "<string>", line 18, in kpythonpluginfactory_bridge
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 4397, in CreatePlugin
    kcm = u.makeui(component_data, widget_parent)
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 373, in makeui
    self.populateList(start_printer, change_ppd)
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 656, in populateList
    self.on_tvMainList_cursor_changed()
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 444, in on_tvMainList_cursor_changed
    self.fillPrinterTab(name)
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 1266, in fillPrinterTab
    self.fillPrinterOptions(name, editablePPD)
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 1310, in fillPrinterOptions
    ppd.markDefaults()
AttributeError: 'bool' object has no attribute 'markDefaults'
kcmshell(2156)/python (plugin): Failed to import module 
kcmshell(2156)/kcontrol KCModuleLoader::loadModule: This module has no valid entry symbol at all. The reason could be that it's still using K_EXPORT_COMPONENT_FACTORY with a custom X-KDE-FactoryName which is not supported anymore 

Expected results:
Printer Setup should be launched.

Additional info:
It worked ~two week ago flawlessly.
Comment 1 Kevin Kofler 2012-10-11 10:07:21 EDT
system-config-printer-kde didn't change at all, this must be an incompatible API change elsewhere.
Comment 2 Damian Wrobel 2012-10-17 12:59:55 EDT
Not sure if it could help but it's possible to launch it successfully using the 
following sequence of commands:

1. systemctl stop cups.service
2. rm /etc/cups/printers.conf
3. systemctl start cups.service

4. kcmshell4 system-config-printer-kde

Caught non-fatal exception.  Traceback:
File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 733, in setDataButtonState
    printable = (self.ppd != None and
AttributeError: 'GUI' object has no attribute 'ppd'
Continuing anyway..

5. Then after adding new ipp printer and pressing ok it print out the following trace:
Traceback (most recent call last):
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 444, in on_tvMainList_cursor_changed
    self.fillPrinterTab(name)
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 1266, in fillPrinterTab
    self.fillPrinterOptions(name, editablePPD)
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 1310, in fillPrinterOptions
    ppd.markDefaults()
AttributeError: 'bool' object has no attribute 'markDefaults'
Traceback (most recent call last):
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 4103, in on_btnNPApply_clicked
    self.mainapp.populateList(start_printer=name)
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 656, in populateList
    self.on_tvMainList_cursor_changed()
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 444, in on_tvMainList_cursor_changed
    self.fillPrinterTab(name)
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 1266, in fillPrinterTab
    self.fillPrinterOptions(name, editablePPD)
  File "/usr/share/kde4/apps/system-config-printer-kde/system-config-printer-kde.py", line 1310, in fillPrinterOptions
    ppd.markDefaults()
AttributeError: 'bool' object has no attribute 'markDefaults'

and to run it again one have to go to the 1.
Comment 3 Fedora End Of Life 2013-07-03 23:52:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 08:05:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.